Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 22 Jul 2021 05:38:46 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Yesterday I ordered things for 54.350kd. It already deducted from my account and I got mail also about payment yesterday itself. But now when I am checking order history, it’s showing payment is being verified. It’s showing, it may take up to an hour to process payment. But already these many hours finished then why it’s showing like this??? Please help https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2888597